# PostgresHelper

Package tourplaner.data

## Class PostgresHelper

- java.lang.Object
- - tourplaner.data.PostgresHelper

    public class PostgresHelper
    extends java.lang.Object

Hilfsfunktionen für die verwendung der Postgres DB

### Constructor Summary

Constructors
`PostgresHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.sql.Connection` `con()` Verbindet mit der Datenbank
`static boolean` `executeUpdate​(java.lang.String sql)` Führt ein Sql statement ohne rückgabe aus
`static boolean` `executeUpdateMessage​(java.lang.String sql, java.lang.String message)` Führt ein Sql statement ohne rückgabe aus, mit message nachricht

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PostgresHelper

    public PostgresHelper()

### Method Detail

#### con

    public static java.sql.Connection con()

Verbindet mit der Datenbank

Returns:
  Das Connection Objekt

#### executeUpdateMessage

    public static boolean executeUpdateMessage​(java.lang.String sql,
                                               java.lang.String message)

Führt ein Sql statement ohne rückgabe aus, mit message nachricht

Parameters:
  `sql` - Sql command
  `message` - Mesasage die vor dem Durchführen angezeigt wird
Returns:
  True bei erfolg, sonst false

#### executeUpdate

    public static boolean executeUpdate​(java.lang.String sql)

Führt ein Sql statement ohne rückgabe aus

Parameters:
  `sql` - Sql command
Returns:
  True bei erfolg, sonst false